petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCKaczmarz

Kaczmarz iteration

### Options Database Keys

-pc_sor_lambda <1.0> -Sets damping parameter lambda

### Notes

In parallel this is block-Jacobi with Kaczmarz inner solve.

### References

1. -S. Kaczmarz, "Angenaherte Auflosing von Systemen Linearer Gleichungen", Bull. Internat. Acad. Polon. Sci. C1. A, 1937.

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC

### Level

beginner

### Location

src/ksp/pc/impls/kaczmarz/kaczmarz.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages